#if !defined(AFX_EDITPAGE_H__E19CA596_4583_4A11_B3B5_2C6CE67413D3__INCLUDED_)
#define AFX_EDITPAGE_H__E19CA596_4583_4A11_B3B5_2C6CE67413D3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEditPage dialog

class CEditPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CEditPage)

// Construction
public:
	CEditPage();
	~CEditPage();

// Dialog Data
	//{{AFX_DATA(CEditPage)
	enum { IDD = IDD_EDITPAGE };
	BOOL	m_EditUpperFaces;
	BOOL	m_EditUpperBevels;
	BOOL	m_EditLowerFaces;
	BOOL	m_EditLowerBevels;
	CString	m_EditRotateXAngle;
	CString	m_EditRotateYAngle;
	CString	m_EditRotateZAngle;
	CString	m_EditRotateStepAngle;
	CString	m_EditScaleStepFactor;
	CString	m_EditScaleXFactor;
	CString	m_EditScaleYFactor;
	CString	m_EditScaleZFactor;
	int		m_EditAxisGroup;
	CString	m_EditGridSize;
	BOOL	m_EditDisplayGrid;
	BOOL	m_EditSnapToGrid;
	CString	m_EditPickModeLabel;
	BOOL	m_EditDivide;
	BOOL	m_EditSnapKeepRelative;
	CString	m_EditName;
	CString	m_EditMoveVertexX;
	CString	m_EditMoveVertexY;
	CString	m_EditMoveVertexZ;
	CString	m_EditMoveVertexStep;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CEditPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CEditPage)
	afx_msg void OnStarteditvertices();
	afx_msg void OnStopeditvertices();
	afx_msg void OnEditextrudestart();
	afx_msg void OnEditextrudenow();
	afx_msg void OnEditdragbox();
	afx_msg void OnEditpickvertex();
	afx_msg void OnEditpickmodefirst();
	afx_msg void OnEditpickmodeconnected();
	afx_msg void OnEditpickmodeanywhere();
	afx_msg void OnPickmodeerase();
	afx_msg void OnEditpickmodedeleteall();
	afx_msg void OnEditpickallvertices();
	afx_msg void OnEditdragvertex();
	afx_msg void OnEditpickedge();
	afx_msg void OnEditnewedge();
	afx_msg void OnEditdeletevertex();
	afx_msg void OnEditdivideedge();
	afx_msg void OnEditrotategroup();
	afx_msg void OnGeteditrotateangles();
	afx_msg void OnSeteditrotateangles();
	afx_msg void OnSeteditrotatexangle1();
	afx_msg void OnSeteditrotatexangle2();
	afx_msg void OnSeteditrotateyangle1();
	afx_msg void OnSeteditrotateyangle2();
	afx_msg void OnSeteditrotatezangle1();
	afx_msg void OnSeteditrotatezangle2();
	afx_msg void OnEditrotateokay();
	afx_msg void OnEditrotatecancel();
	afx_msg void OnEditscalegroup();
	afx_msg void OnGeteditscalefactors();
	afx_msg void OnSeteditscalefactors();
	afx_msg void OnSeteditscalexfactor1();
	afx_msg void OnSeteditscalexfactor2();
	afx_msg void OnSeteditscaleyfactor1();
	afx_msg void OnSeteditscaleyfactor2();
	afx_msg void OnSeteditscalezfactor1();
	afx_msg void OnSeteditscalezfactor2();
	afx_msg void OnSeteditscalexyzfactor1();
	afx_msg void OnSeteditscalexyzfactor2();
	afx_msg void OnEditscaleokay();
	afx_msg void OnEditscalecancel();
	afx_msg void OnEditreducevertices();
	afx_msg void OnEditpickghost();
	afx_msg void OnEditghostokay();
	afx_msg void OnEditghostcancel();
	afx_msg void OnEditghoston();
	afx_msg void OnEditghostoff();
	afx_msg void OnEditlocalaxis();
	afx_msg void OnEditworldaxis();
	afx_msg void OnEditvertexsnapstart();
	afx_msg void OnEditvertexsnapshowall();
	afx_msg void OnEditvertexsnapokay();
	afx_msg void OnEditvertexsnapcancel();
	afx_msg void OnEditupperfaces();
	afx_msg void OnEditupperbevels();
	afx_msg void OnEditlowerfaces();
	afx_msg void OnEditlowerbevels();
	afx_msg void OnEditswitchupper();
	afx_msg void OnEditswitchlower();
	afx_msg void OnEditdisplaygrid();
	afx_msg void OnEditsnaptogrid();
	afx_msg void OnEditundoselected();
	afx_msg void OnEditundolayer();
	afx_msg void OnEditundoalllayers();
	afx_msg void OnEditflipx();
	afx_msg void OnEditflipy();
	afx_msg void OnEditflipz();
	afx_msg void OnEditmovebevelzero();
	afx_msg void OnEditswitch();
	afx_msg void OnEditopenoutline();
	afx_msg void OnEditcloseoutline();
	afx_msg void OnEditpicksolid();
	afx_msg void OnEditpickwire();
	afx_msg void OnEditothersolid();
	afx_msg void OnEditotherwire();
	virtual BOOL OnInitDialog();
	afx_msg void OnEditgetupper();
	afx_msg void OnEditclearupper();
	afx_msg void OnEditsetupper();
	afx_msg void OnEditgetlower();
	afx_msg void OnEditclearlower();
	afx_msg void OnEditsetlower();
	afx_msg void OnEditdivide();
	afx_msg void OnEditsnapkeeprelative();
	afx_msg void OnEditselectlayer();
	afx_msg void OnGeteditmovevertex();
	afx_msg void OnSeteditmovevertex();
	afx_msg void OnEditmovevertexx1();
	afx_msg void OnEditmovevertexy1();
	afx_msg void OnEditmovevertexx2();
	afx_msg void OnEditmovevertexy2();
	afx_msg void OnEditmovevertexz1();
	afx_msg void OnEditmovevertexz2();
	afx_msg void OnEditmakebevelsets();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void DisplayPickVertexMode(void);
	void GetEditRotateStepAngle(void);
	void GetEditScaleStepFactor(void);
	void GetEditMoveVertexStep(void);
	void DisplayExtrudeBevelFlags(void);
public:
  afx_msg void OnBnClickedEditpickmodeswitchfirst();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITPAGE_H__E19CA596_4583_4A11_B3B5_2C6CE67413D3__INCLUDED_)
